FreeMat

- Main Page
- Related Pages

vtkImageSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkImageSource is the superclass for all imaging sources and filters. The method Update(), called by the cache, is the major interface to the source.

To create an instance of class vtkImageSource, simply invoke its constructor as follows

      obj = vtkImageSource

# Methods

The class vtkImageSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageSource = obj.NewInstance ()`
- `vtkImageSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutput (vtkImageData output)` - Get the output of this source.
- `vtkImageData = obj.GetOutput ()` - Get the output of this source.
- `vtkImageData = obj.GetOutput (int idx)` - Get the output of this source.